Bug 234652 - sysutils/goaccess : Make portlint happy, enable SSL, and add a rc.d script
Summary: sysutils/goaccess : Make portlint happy, enable SSL, and add a rc.d script
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sofian Brabez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-06 04:39 UTC by Zane C. Bowers-Hadley
Modified: 2020-07-15 12:33 UTC (History)
3 users (show)

See Also:
sbz: maintainer-feedback+


Attachments
svn diff (2.96 KB, patch)
2019-01-06 04:39 UTC, Zane C. Bowers-Hadley
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zane C. Bowers-Hadley 2019-01-06 04:39:57 UTC
Created attachment 200824 [details]
svn diff

SSL is not enabled, which makes using the realtime stuff impossible as Firefox etc don't like web sockets with out SSL.

Also add a rc.d script for starting it.

Also made portlint happy while I was at it.

Tested with poudriere and it builds with out issue.
Comment 1 Walter Schwarzenfeld freebsd_triage 2019-08-09 16:46:08 UTC
Maintainer feedback!
Comment 2 Yuri Victorovich freebsd_committer 2019-08-31 16:57:54 UTC
The patch fails as of rev.507372

Please update the patch.
Comment 3 Sofian Brabez freebsd_committer 2020-07-11 13:46:41 UTC
I will work on this PR as part of the FreeBSD BugSquash [1].

[1] https://live.freebsd.org/BugSquash/
Comment 4 commit-hook freebsd_committer 2020-07-11 13:48:38 UTC
A commit references this bug:

Author: sbz
Date: Sat Jul 11 13:48:31 UTC 2020
New revision: 541974
URL: https://svnweb.freebsd.org/changeset/ports/541974

Log:
  - Make portlint happy, enable SSL, and add a rc.d script

  PR:		234652
  Submitted by:	Zane C. Bowers-Hadley <vvelox at vvelox.net>

Changes:
  head/sysutils/goaccess/Makefile
  head/sysutils/goaccess/files/goaccess.in
Comment 5 Sofian Brabez freebsd_committer 2020-07-11 13:52:26 UTC
Great work Zane, thanks for your submission! Committed in r541974.
Comment 6 sirdice 2020-07-15 12:33:03 UTC
The rc script is missing a default for goaccess_enable. Causing an annoying warning message if it's not defined in rc.conf.

 root: /etc/rc: WARNING: $goaccess_enable is not set properly - see rc.conf(5).